@echo off

IF EXIST "__backup/GCKart.baa" (
  goto FAIL
)

:PACK
mkdir "./__backup"
mkdir "./__backup/Waves"
copy "./GCKart.baa" "./__backup/" > NUL
copy "./Waves" "./__backup/Waves" > NUL
echo Unpacking BAA....
echo "%CD%/Waves"
"%CD%/tool/jampacked.exe" unpack GCKart.baa Audio_Modding
"%CD%/tool/baacpack.exe" unpack "./Audio_Modding/include/22.dat" "./Audio_Modding/include/BAAC"
"%CD%/tool/jampacked.exe" "unpack" ./Audio_Modding/include/BAAC/0.baa ./Audio_Modding/include/BAAC/0
"%CD%/tool/jampacked.exe" "unpack" ./Audio_Modding/include/BAAC/1.baa ./Audio_Modding/include/BAAC/1
"%CD%/tool/jampacked.exe" "unpack" ./Audio_Modding/include/BAAC/2.baa ./Audio_Modding/include/BAAC/2


"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/2.wsy" "./Audio_Modding/WSYS_NintendoLogo" -awpath "%CD%/Waves/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/3.wsy" "./Audio_Modding/WSYS_SoundEffects" -awpath "%CD%/Waves/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/4.wsy" "./Audio_Modding/WSYS_BGMSamples" -awpath "%CD%/Waves/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/BAAC/0/include/0.wsy" "./Audio_Modding/WSYS_SelectVoice" -awpath "%CD%/Waves/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/BAAC/1/include/0.wsy" "./Audio_Modding/WSYS_Voice" -awpath "%CD%/Waves/"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/BAAC/2/include/0.wsy" "./Audio_Modding/WSYS_CommendationVoice" -awpath "%CD%/Waves/"

"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/5.bnk" "./Audio_Modding/IBNK_0"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/6.bnk" "./Audio_Modding/IBNK_3"
"%CD%/tool/ibnktool.exe" unpack 0 "./Audio_Modding/include/7.bnk" "./Audio_Modding/IBNK_5"

copy "GCKart.bsft" "./Audio_Modding/include/8.sft" /Y

"%CD%/tool/bsftpack.exe" "unpack" "gckart.bsft" "./Audio_Modding/StreamTable.txt"

"%CD%/tool/bast.exe" "unpackbst" "./Audio_Modding/include/0.bst" "./Audio_Modding/include/1.bstn" "./Audio_Modding/SoundTable"

echo Done.
GOTO EOF


:FAIL
echo WARNING: You already have a backup. If you make a backup now, and have made any changes, this will corrupt the backup of your original game files.
echo Choose wisely.
SET /P AREYOUSURE=No regrets, mister freeman: (Y/[N])
IF /I "%AREYOUSURE%" EQU "Y" GOTO PACK

:EOF
pause